Package org.codehaus.groovy.runtime.metaclass

# Class NewMetaMethod

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod
org.codehaus.groovy.runtime.metaclass.NewMetaMethod

All Implemented Interfaces:
  `MetaMember`, `Cloneable`

Direct Known Subclasses:
  `NewInstanceMetaMethod`, `NewStaticMetaMethod`

public class NewMetaMethod extends ReflectionMetaMethod
Base class for NewInstanceMetaMethod and NewStaticMetaMethod

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected CachedClass[]`
  `bytecodeParameterTypes`
  The parameter types from the bytecode (including the first parameter which is the class)
  `protected static final CachedClass[]`
  `EMPTY_TYPE_ARRAY`
  Empty array of cached classes used as default

  ### Fields inherited from class org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

  `method`

  ### Fields inherited from class groovy.lang.MetaMethod

  `EMPTY_ARRAY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewMetaMethod(CachedMethod method)`
  Constructs a new NewMetaMethod.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CachedClass[]`
  `getBytecodeParameterTypes()`
  Gets the bytecode parameter types (including the first parameter which is the class).
  `CachedClass`
  `getDeclaringClass()`
  Returns the class that declares the wrapped cached method.
  `CachedClass`
  `getOwnerClass()`
  Gets the owner class (the first bytecode parameter type).

  ### Methods inherited from class org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

  `getCachedMethod, getModifiers, getName, getPT, getReturnType, invoke, toString`

  ### Methods inherited from class groovy.lang.MetaMethod

  `checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isDefault, isMethod, isSame, processDoMethodInvokeException`

  ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.MetaMember

  `isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Field Details

  - ### EMPTY_TYPE_ARRAY

    protected static final CachedClass[] EMPTY_TYPE_ARRAY
    Empty array of cached classes used as default

  - ### bytecodeParameterTypes

    protected CachedClass[] bytecodeParameterTypes
    The parameter types from the bytecode (including the first parameter which is the class)

- ## Constructor Details

  - ### NewMetaMethod

    public NewMetaMethod(CachedMethod method)
    Constructs a new NewMetaMethod.
    Parameters:
      `method` - the cached method

- ## Method Details

  - ### getDeclaringClass

    public CachedClass getDeclaringClass()
    Description copied from class: `ReflectionMetaMethod`
    Returns the class that declares the wrapped cached method.
    Overrides:
      `getDeclaringClass` in class `ReflectionMetaMethod`
    Returns:
      the declaring class

  - ### getBytecodeParameterTypes

    public CachedClass[] getBytecodeParameterTypes()
    Gets the bytecode parameter types (including the first parameter which is the class).
    Returns:
      the bytecode parameter types

  - ### getOwnerClass

    public CachedClass getOwnerClass()
    Gets the owner class (the first bytecode parameter type).
    Returns:
      the owner class